Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj	(revision 17639)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj	(revision 17640)
@@ -195,4 +195,38 @@
     <Compile Include="Regression\Feynman\Feynman50.cs" />
     <Compile Include="Regression\Feynman\Feynman51.cs" />
+    <Compile Include="Regression\Feynman\Feynman52.cs" />
+    <Compile Include="Regression\Feynman\Feynman53.cs" />
+    <Compile Include="Regression\Feynman\Feynman54.cs" />
+    <Compile Include="Regression\Feynman\Feynman55.cs" />
+    <Compile Include="Regression\Feynman\Feynman56.cs" />
+    <Compile Include="Regression\Feynman\Feynman57.cs" />
+    <Compile Include="Regression\Feynman\Feynman58.cs" />
+    <Compile Include="Regression\Feynman\Feynman59.cs" />
+    <Compile Include="Regression\Feynman\Feynman60.cs" />
+    <Compile Include="Regression\Feynman\Feynman61.cs" />
+    <Compile Include="Regression\Feynman\Feynman62.cs" />
+    <Compile Include="Regression\Feynman\Feynman63.cs" />
+    <Compile Include="Regression\Feynman\Feynman64.cs" />
+    <Compile Include="Regression\Feynman\Feynman65.cs" />
+    <Compile Include="Regression\Feynman\Feynman66.cs" />
+    <Compile Include="Regression\Feynman\Feynman67.cs" />
+    <Compile Include="Regression\Feynman\Feynman68.cs" />
+    <Compile Include="Regression\Feynman\Feynman69.cs" />
+    <Compile Include="Regression\Feynman\Feynman70.cs" />
+    <Compile Include="Regression\Feynman\Feynman71.cs" />
+    <Compile Include="Regression\Feynman\Feynman72.cs" />
+    <Compile Include="Regression\Feynman\Feynman73.cs" />
+    <Compile Include="Regression\Feynman\Feynman74.cs" />
+    <Compile Include="Regression\Feynman\Feynman75.cs" />
+    <Compile Include="Regression\Feynman\Feynman76.cs" />
+    <Compile Include="Regression\Feynman\Feynman77.cs" />
+    <Compile Include="Regression\Feynman\Feynman78.cs" />
+    <Compile Include="Regression\Feynman\Feynman79.cs" />
+    <Compile Include="Regression\Feynman\Feynman80.cs" />
+    <Compile Include="Regression\Feynman\Feynman81.cs" />
+    <Compile Include="Regression\Feynman\Feynman82.cs" />
+    <Compile Include="Regression\Feynman\Feynman83.cs" />
+    <Compile Include="Regression\Feynman\Feynman84.cs" />
+    <Compile Include="Regression\Feynman\Feynman85.cs" />
     <Compile Include="Regression\Feynman\Feynman9.cs" />
     <Compile Include="Regression\Feynman\Feynman13.cs" />
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman52.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman52.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman52.cs	(revision 17640)
@@ -0,0 +1,49 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman52 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.2.42 kappa*(T2-T1)*A/d"; } }
+
+    protected override string TargetVariable { get { return "Pwr"; } }
+    protected override string[] VariableNames { get { return new[] {"kappa", "T1", "T2", "A", "d", "Pwr"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"kappa", "T1", "T2", "A", "d"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman52() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman52(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var kappa = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var T1    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var T2    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var A     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var d     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var Pwr = new List<double>();
+
+      data.Add(kappa);
+      data.Add(T1);
+      data.Add(T2);
+      data.Add(A);
+      data.Add(d);
+      data.Add(Pwr);
+
+      for (var i = 0; i < kappa.Count; i++) {
+        var res = kappa[i] * (T2[i] - T1[i]) * A[i] / d[i];
+        Pwr.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman53.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman53.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman53.cs	(revision 17640)
@@ -0,0 +1,43 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman53 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.3.24 Pwr/(4*pi*r**2)"; } }
+
+    protected override string TargetVariable { get { return "flux"; } }
+    protected override string[] VariableNames { get { return new[] {"Pwr", "r", "flux"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"Pwr", "r"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman53() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman53(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var Pwr  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var r    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var flux = new List<double>();
+
+      data.Add(Pwr);
+      data.Add(r);
+      data.Add(flux);
+
+      for (var i = 0; i < Pwr.Count; i++) {
+        var res = Pwr[i] / (4 * Math.PI * Math.Pow(r[i], 2));
+        flux.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman54.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman54.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman54.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman54 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.4.23 q/(4*pi*epsilon*r)"; } }
+
+    protected override string TargetVariable { get { return "Volt"; } }
+    protected override string[] VariableNames { get { return new[] {"q", "epsilon", "r", "Volt"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"q", "epsilon", "r"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman54() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman54(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var q       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var r       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var Volt = new List<double>();
+
+      data.Add(q);
+      data.Add(epsilon);
+      data.Add(r);
+      data.Add(Volt);
+
+      for (var i = 0; i < q.Count; i++) {
+        var res = q[i] / (4 * Math.PI * epsilon[i] * r[i]);
+        Volt.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman55.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman55.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman55.cs	(revision 17640)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman55 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.6.11 1/(4*pi*epsilon)*p_d*cos(theta)/r**2"; } }
+
+    protected override string TargetVariable { get { return "Volt"; } }
+    protected override string[] VariableNames { get { return new[] {"epsilon", "p_d", "theta", "r", "Volt"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"epsilon", "p_d", "theta", "r"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman55() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman55(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var p_d     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var theta   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var r       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+
+      var Volt = new List<double>();
+
+      data.Add(epsilon);
+      data.Add(p_d);
+      data.Add(theta);
+      data.Add(r);
+      data.Add(Volt);
+
+      for (var i = 0; i < epsilon.Count; i++) {
+        var res = 1.0 / (4 * Math.PI * epsilon[i]) * p_d[i] * Math.Cos(theta[i]) / Math.Pow(r[i], 2);
+        Volt.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman56.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman56.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman56.cs	(revision 17640)
@@ -0,0 +1,51 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman56 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.6.15a p_d/(4*pi*epsilon)*3*z/r**5*sqrt(x**2+y**2)"; } }
+
+    protected override string TargetVariable { get { return "Ef"; } }
+    protected override string[] VariableNames { get { return new[] {"epsilon", "p_d", "r", "x", "y", "z", "Ef"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"epsilon", "p_d", "r", "x", "y", "z"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman56() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman56(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var p_d     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var r       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var x       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var y       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var z       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+
+      var Ef = new List<double>();
+
+      data.Add(epsilon);
+      data.Add(p_d);
+      data.Add(r);
+      data.Add(x);
+      data.Add(y);
+      data.Add(z);
+      data.Add(Ef);
+
+      for (var i = 0; i < epsilon.Count; i++) {
+        var res = p_d[i] / (4 * Math.PI * epsilon[i]) * 3 * z[i] / Math.Pow(r[i], 2) * Math.Sqrt(Math.Pow(x[i], 2) + Math.Pow(y[i], 2));
+        Ef.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman57.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman57.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman57.cs	(revision 17640)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman57 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.6.15b p_d/(4*pi*epsilon)*3*cos(theta)*sin(theta)/r**3"; } }
+
+    protected override string TargetVariable { get { return "Ef"; } }
+    protected override string[] VariableNames { get { return new[] {"epsilon", "p_d", "theta", "r", "Ef"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"epsilon", "p_d", "theta", "r"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman57() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman57(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var p_d     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var theta   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var r       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+
+      var Ef = new List<double>();
+
+      data.Add(epsilon);
+      data.Add(p_d);
+      data.Add(theta);
+      data.Add(r);
+      data.Add(Ef);
+
+      for (var i = 0; i < epsilon.Count; i++) {
+        var res = p_d[i] / (4 * Math.PI * epsilon[i]) * 3 * Math.Cos(theta[i]) * Math.Sin(theta[i]) / Math.Pow(r[i], 3);
+        Ef.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman58.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman58.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman58.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman58 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.8.7 3/5*q**2/(4*pi*epsilon*d)"; } }
+
+    protected override string TargetVariable { get { return "E_n"; } }
+    protected override string[] VariableNames { get { return new[] {"q", "epsilon", "d", "E_n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"q", "epsilon", "d"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman58() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman58(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var q       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var d       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_n = new List<double>();
+
+      data.Add(q);
+      data.Add(epsilon);
+      data.Add(d);
+      data.Add(E_n);
+
+      for (var i = 0; i < q.Count; i++) {
+        var res = 3.0 / 5 * Math.Pow(q[i], 2) / (4 * Math.PI * epsilon[i] * d[i]);
+        E_n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman59.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman59.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman59.cs	(revision 17640)
@@ -0,0 +1,43 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman59 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.8.31 epsilon*Ef**2/2"; } }
+
+    protected override string TargetVariable { get { return "E_den"; } }
+    protected override string[] VariableNames { get { return new[] {"epsilon", "Ef", "E_den"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"epsilon", "Ef"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman59() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman59(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var Ef      = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_den = new List<double>();
+
+      data.Add(epsilon);
+      data.Add(Ef);
+      data.Add(E_den);
+
+      for (var i = 0; i < epsilon.Count; i++) {
+        var res = epsilon[i] * Math.Pow(Ef[i], 2) / 2;
+        E_den.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman60.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman60.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman60.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman60 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.10.9 sigma_den/epsilon*1/(1+chi)"; } }
+
+    protected override string TargetVariable { get { return "Ef"; } }
+    protected override string[] VariableNames { get { return new[] {"sigma_den", "epsilon", "chi", "Ef"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"sigma_den", "epsilon", "chi"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman60() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman60(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data      = new List<List<double>>();
+      var sigma_den = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var epsilon   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var chi       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var Ef = new List<double>();
+
+      data.Add(sigma_den);
+      data.Add(epsilon);
+      data.Add(chi);
+      data.Add(Ef);
+
+      for (var i = 0; i < sigma_den.Count; i++) {
+        var res = sigma_den[i] / epsilon[i] * 1 / (1 + chi[i]);
+        Ef.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman61.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman61.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman61.cs	(revision 17640)
@@ -0,0 +1,49 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman61 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.11.3 q*Ef/(m*(omega_0**2-omega**2))"; } }
+
+    protected override string TargetVariable { get { return "x"; } }
+    protected override string[] VariableNames { get { return new[] {"q", "Ef", "m", "omega_0", "omega", "x"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"q", "Ef", "m", "omega_0", "omega"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman61() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman61(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var q       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var Ef      = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var m       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var omega_0 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 3, 5).ToList();
+      var omega   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+
+      var x = new List<double>();
+
+      data.Add(q);
+      data.Add(Ef);
+      data.Add(m);
+      data.Add(omega_0);
+      data.Add(omega);
+      data.Add(x);
+
+      for (var i = 0; i < q.Count; i++) {
+        var res = q[i] * Ef[i] / (m[i] * (Math.Pow(omega_0[i], 2) - Math.Pow(omega[i], 2)));
+        x.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs	(revision 17640)
@@ -0,0 +1,51 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman62 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.11.17 n_0*(1+p_d*Ef*cos(theta)/(kb*T))"; } }
+
+    protected override string TargetVariable { get { return "n"; } }
+    protected override string[] VariableNames { get { return new[] {"n_0", "kb", "T", "theta", "p_d", "Ef", "n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"n_0", "kb", "T", "theta", "p_d", "Ef"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman62() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman62(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var n_0   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var kb    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var T     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var theta = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var p_d   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var Ef    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+
+      var n = new List<double>();
+
+      data.Add(n_0);
+      data.Add(kb);
+      data.Add(T);
+      data.Add(theta);
+      data.Add(p_d);
+      data.Add(Ef);
+      data.Add(n);
+
+      for (var i = 0; i < n_0.Count; i++) {
+        var res = n_0[i] * (1 + p_d[i] * Ef[i] * Math.Cos(theta[i]) / (kb[i] * T[i]));
+        n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman63.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman63.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman63.cs	(revision 17640)
@@ -0,0 +1,49 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman63 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.11.20 n_rho*p_d**2*Ef/(3*kb*T)"; } }
+
+    protected override string TargetVariable { get { return "Pol"; } }
+    protected override string[] VariableNames { get { return new[] {"n_rho", "p_d", "Ef", "kb", "T", "Pol"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"n_rho", "p_d", "Ef", "kb", "T"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman63() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman63(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var n_rho = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var p_d   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var Ef    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var kb    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var T     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var Pol = new List<double>();
+
+      data.Add(n_rho);
+      data.Add(p_d);
+      data.Add(Ef);
+      data.Add(kb);
+      data.Add(T);
+      data.Add(Pol);
+
+      for (var i = 0; i < n_rho.Count; i++) {
+        var res = n_rho[i] * Math.Pow(p_d[i], 2) * Ef[i] / (3 * kb[i] * T[i]);
+        Pol.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman64.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman64.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman64.cs	(revision 17640)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman64 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.11.27 n*alpha/(1-(n*alpha/3))*epsilon*Ef"; } }
+
+    protected override string TargetVariable { get { return "Pol"; } }
+    protected override string[] VariableNames { get { return new[] {"n", "alpha", "epsilon", "Ef", "Pol"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"n", "alpha", "epsilon", "Ef"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman64() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman64(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var n       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 0, 1).ToList();
+      var alpha   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 0, 1).ToList();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+      var Ef      = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+
+      var Pol = new List<double>();
+
+      data.Add(n);
+      data.Add(alpha);
+      data.Add(epsilon);
+      data.Add(Ef);
+      data.Add(Pol);
+
+      for (var i = 0; i < n.Count; i++) {
+        var res = n[i] * alpha[i] / (1 - n[i] * alpha[i] / 3) * epsilon[i] * Ef[i];
+        Pol.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman65.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman65.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman65.cs	(revision 17640)
@@ -0,0 +1,43 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman65 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.11.28 1+n*alpha/(1-(n*alpha/3))"; } }
+
+    protected override string TargetVariable { get { return "theta"; } }
+    protected override string[] VariableNames { get { return new[] {"n", "alpha", "theta"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"n", "alpha"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman65() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman65(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var n     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 0, 1).ToList();
+      var alpha = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 0, 1).ToList();
+
+      var theta = new List<double>();
+
+      data.Add(n);
+      data.Add(alpha);
+      data.Add(theta);
+
+      for (var i = 0; i < n.Count; i++) {
+        var res = 1 + n[i] * alpha[i] / (1 - n[i] * alpha[i] / 3);
+        theta.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman66.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman66.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman66.cs	(revision 17640)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman66 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.13.17 1/(4*pi*epsilon*c**2)*2*I/r"; } }
+
+    protected override string TargetVariable { get { return "B"; } }
+    protected override string[] VariableNames { get { return new[] {"epsilon", "c", "I", "r", "B"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"epsilon", "c", "I", "r"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman66() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman66(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var c       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var I       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var r       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var B = new List<double>();
+
+      data.Add(epsilon);
+      data.Add(c);
+      data.Add(I);
+      data.Add(r);
+      data.Add(B);
+
+      for (var i = 0; i < epsilon.Count; i++) {
+        var res = 1.0 / (4 * Math.PI * epsilon[i] * Math.Pow(c[i], 2)) * 2 * I[i] / r[i];
+        B.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman67.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman67.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman67.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman67 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.13.23 rho_c_0/sqrt(1-v**2/c**2)"; } }
+
+    protected override string TargetVariable { get { return "rho_c"; } }
+    protected override string[] VariableNames { get { return new[] {"rho_c_0", "v", "c", "rho_c"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"rho_c_0", "v", "c"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman67() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman67(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var rho_c_0 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var v       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+      var c       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 3, 10).ToList();
+
+      var rho_c = new List<double>();
+
+      data.Add(rho_c_0);
+      data.Add(v);
+      data.Add(c);
+      data.Add(rho_c);
+
+      for (var i = 0; i < rho_c_0.Count; i++) {
+        var res = rho_c_0[i] / Math.Sqrt(1 - Math.Pow(v[i], 2) / Math.Pow(c[i], 2));
+        rho_c.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman68.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman68.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman68.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman68 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.13.34 rho_c_0*v/sqrt(1-v**2/c**2)"; } }
+
+    protected override string TargetVariable { get { return "j"; } }
+    protected override string[] VariableNames { get { return new[] {"rho_c_0", "v", "c", "j"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"rho_c_0", "v", "c"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman68() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman68(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var rho_c_0 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var v       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+      var c       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 3, 10).ToList();
+
+      var j = new List<double>();
+
+      data.Add(rho_c_0);
+      data.Add(v);
+      data.Add(c);
+      data.Add(j);
+
+      for (var i = 0; i < rho_c_0.Count; i++) {
+        var res = rho_c_0[i] * v[i] / Math.Sqrt(1 - Math.Pow(v[i], 2) / Math.Pow(c[i], 2));
+        j.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman69.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman69.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman69.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman69 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.15.4 -mom*B*cos(theta)"; } }
+
+    protected override string TargetVariable { get { return "E_n"; } }
+    protected override string[] VariableNames { get { return new[] {"mom", "B", "theta", "E_n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"mom", "B", "theta"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman69() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman69(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var mom   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var B     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var theta = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_n = new List<double>();
+
+      data.Add(mom);
+      data.Add(B);
+      data.Add(theta);
+      data.Add(E_n);
+
+      for (var i = 0; i < mom.Count; i++) {
+        var res = -mom[i] * B[i] * Math.Cos(theta[i]);
+        E_n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman70.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman70.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman70.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman70 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.15.5 -p_d*Ef*cos(theta)"; } }
+
+    protected override string TargetVariable { get { return "E_n"; } }
+    protected override string[] VariableNames { get { return new[] {"p_d", "Ef", "theta", "E_n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"p_d", "Ef", "theta"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman70() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman70(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var p_d   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var Ef    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var theta = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_n = new List<double>();
+
+      data.Add(p_d);
+      data.Add(Ef);
+      data.Add(theta);
+      data.Add(E_n);
+
+      for (var i = 0; i < p_d.Count; i++) {
+        var res = -p_d[i] * Ef[i] * Math.Cos(theta[i]);
+        E_n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman71.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman71.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman71.cs	(revision 17640)
@@ -0,0 +1,49 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman71 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.21.32 q/(4*pi*epsilon*r*(1-v/c))"; } }
+
+    protected override string TargetVariable { get { return "Volt"; } }
+    protected override string[] VariableNames { get { return new[] {"q", "epsilon", "r", "v", "c", "Volt"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"q", "epsilon", "r", "v", "c"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman71() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman71(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var q       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var r       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var v       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+      var c       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 3, 10).ToList();
+
+      var Volt = new List<double>();
+
+      data.Add(q);
+      data.Add(epsilon);
+      data.Add(r);
+      data.Add(v);
+      data.Add(c);
+      data.Add(Volt);
+
+      for (var i = 0; i < q.Count; i++) {
+        var res = q[i] / (4 * Math.PI * epsilon[i] * r[i] * (1 - v[i] / c[i]));
+        Volt.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman72.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman72.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman72.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman72 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.24.17 sqrt(omega**2/c**2-pi**2/d**2)"; } }
+
+    protected override string TargetVariable { get { return "k"; } }
+    protected override string[] VariableNames { get { return new[] {"omega", "c", "d", "k"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"omega", "c", "d"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman72() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman72(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var omega = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 4, 6).ToList();
+      var c     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+      var d     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 2, 4).ToList();
+
+      var k = new List<double>();
+
+      data.Add(omega);
+      data.Add(c);
+      data.Add(d);
+      data.Add(k);
+
+      for (var i = 0; i < omega.Count; i++) {
+        var res = Math.Sqrt(Math.Pow(omega[i], 2) / Math.Pow(c[i], 2) - Math.Pow(Math.PI, 2) / Math.Pow(d[i], 2));
+        k.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman73.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman73.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman73.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman73 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.27.16 epsilon*c*Ef**2"; } }
+
+    protected override string TargetVariable { get { return "flux"; } }
+    protected override string[] VariableNames { get { return new[] {"epsilon", "c", "Ef", "flux"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"epsilon", "c", "Ef"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman73() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman73(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var c       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var Ef      = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var flux = new List<double>();
+
+      data.Add(epsilon);
+      data.Add(c);
+      data.Add(Ef);
+      data.Add(flux);
+
+      for (var i = 0; i < epsilon.Count; i++) {
+        var res = epsilon[i] * c[i] * Math.Pow(Ef[i], 2);
+        flux.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman74.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman74.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman74.cs	(revision 17640)
@@ -0,0 +1,43 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman74 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.27.18 epsilon*Ef**2"; } }
+
+    protected override string TargetVariable { get { return "E_den"; } }
+    protected override string[] VariableNames { get { return new[] {"epsilon", "Ef", "E_den"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"epsilon", "Ef"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman74() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman74(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var Ef      = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_den = new List<double>();
+
+      data.Add(epsilon);
+      data.Add(Ef);
+      data.Add(E_den);
+
+      for (var i = 0; i < epsilon.Count; i++) {
+        var res = epsilon[i] * Math.Pow(Ef[i], 2);
+        E_den.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman75.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman75.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman75.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman75 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.34.2a q*v/(2*pi*r)"; } }
+
+    protected override string TargetVariable { get { return "I"; } }
+    protected override string[] VariableNames { get { return new[] {"q", "v", "r", "I"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"q", "v", "r"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman75() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman75(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var q    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var v    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var r    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var I = new List<double>();
+
+      data.Add(q);
+      data.Add(v);
+      data.Add(r);
+      data.Add(I);
+
+      for (var i = 0; i < q.Count; i++) {
+        var res = q[i] * v[i] / (2 * Math.PI * r[i]);
+        I.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman76.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman76.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman76.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman76 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.34.2 q*v*r/2"; } }
+
+    protected override string TargetVariable { get { return "mom"; } }
+    protected override string[] VariableNames { get { return new[] {"q", "v", "r", "mom"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"q", "v", "r"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman76() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman76(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var q    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var v    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var r    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var mom = new List<double>();
+
+      data.Add(q);
+      data.Add(v);
+      data.Add(r);
+      data.Add(mom);
+
+      for (var i = 0; i < q.Count; i++) {
+        var res = q[i] * v[i] * r[i] / 2;
+        mom.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman77.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman77.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman77.cs	(revision 17640)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman77 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.34.11 g_*q*B/(2*m)"; } }
+
+    protected override string TargetVariable { get { return "omega"; } }
+    protected override string[] VariableNames { get { return new[] {"g_", "q", "B", "m", "omega"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"g_", "q", "B", "m"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman77() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman77(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var g_   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var q    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var B    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var m    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var omega = new List<double>();
+
+      data.Add(g_);
+      data.Add(q);
+      data.Add(B);
+      data.Add(m);
+      data.Add(omega);
+
+      for (var i = 0; i < g_.Count; i++) {
+        var res = g_[i] * q[i] * B[i] / (2 * m[i]);
+        omega.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman78.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman78.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman78.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman78 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.34.29a q*h/(4*pi*m)"; } }
+
+    protected override string TargetVariable { get { return "mom"; } }
+    protected override string[] VariableNames { get { return new[] {"q", "h", "m", "mom"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"q", "h", "m"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman78() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman78(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var q    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var h    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var m    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var mom = new List<double>();
+
+      data.Add(q);
+      data.Add(h);
+      data.Add(m);
+      data.Add(mom);
+
+      for (var i = 0; i < q.Count; i++) {
+        var res = q[i] * h[i] / (4 * Math.PI * m[i]);
+        mom.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs	(revision 17640)
@@ -0,0 +1,49 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman79 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.34.29b g_*mom*B*Jz/(h/(2*pi))"; } }
+
+    protected override string TargetVariable { get { return "E_n"; } }
+    protected override string[] VariableNames { get { return new[] {"g_", "h", "Jz", "mom", "B", "E_n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"g_", "h", "Jz", "mom", "B"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman79() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman79(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var g_   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var h    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var Jz   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var mom  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var B    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_n = new List<double>();
+
+      data.Add(g_);
+      data.Add(h);
+      data.Add(Jz);
+      data.Add(mom);
+      data.Add(B);
+      data.Add(E_n);
+
+      for (var i = 0; i < g_.Count; i++) {
+        var res = g_[i] * mom[i] * B[i] * Jz[i] / (h[i] / (2 * Math.PI));
+        E_n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman80.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman80.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman80.cs	(revision 17640)
@@ -0,0 +1,49 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman80 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.35.18 n_0/(exp(mom*B/(kb*T))+exp(-mom*B/(kb*T)))"; } }
+
+    protected override string TargetVariable { get { return "n"; } }
+    protected override string[] VariableNames { get { return new[] {"n_0", "kb", "T", "mom", "B", "n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"n_0", "kb", "T", "mom", "B"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman80() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman80(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var n_0  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var kb   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var T    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var mom  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var B    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+
+      var n = new List<double>();
+
+      data.Add(n_0);
+      data.Add(kb);
+      data.Add(T);
+      data.Add(mom);
+      data.Add(B);
+      data.Add(n);
+
+      for (var i = 0; i < n_0.Count; i++) {
+        var res = n_0[i] / (Math.Exp(mom[i] * B[i] / (kb[i] * T[i])) + Math.Exp(-mom[i] * B[i] / (kb[i] * T[i])));
+        n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman81.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman81.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman81.cs	(revision 17640)
@@ -0,0 +1,49 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman81 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.35.21 n_rho*mom*tanh(mom*B/(kb*T))"; } }
+
+    protected override string TargetVariable { get { return "M"; } }
+    protected override string[] VariableNames { get { return new[] {"n_rho", "mom", "B", "kb", "T", "M"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"n_rho", "mom", "B", "kb", "T"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman81() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman81(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var n_rho = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var mom   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var B     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var kb    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var T     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var M = new List<double>();
+
+      data.Add(n_rho);
+      data.Add(mom);
+      data.Add(B);
+      data.Add(kb);
+      data.Add(T);
+      data.Add(M);
+
+      for (var i = 0; i < n_rho.Count; i++) {
+        var res = n_rho[i] * mom[i] * Math.Tanh(mom[i] * B[i] / (kb[i] * T[i]));
+        M.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman82.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman82.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman82.cs	(revision 17640)
@@ -0,0 +1,61 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman82 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.36.38 mom*H/(kb*T)+(mom*alpha)/(epsilon*c**2*kb*T)*M"; } }
+
+    protected override string TargetVariable { get { return "f"; } }
+
+    protected override string[] VariableNames {
+      get { return new[] {"mom", "H", "kb", "T", "alpha", "epsilon", "c", "M", "f"}; }
+    }
+
+    protected override string[] AllowedInputVariables {
+      get { return new[] {"mom", "H", "kb", "T", "alpha", "epsilon", "c", "M"}; }
+    }
+
+    public int Seed { get; private set; }
+
+    public Feynman82() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman82(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var mom     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var H       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var kb      = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var T       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var alpha   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var c       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var M       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+
+      var f = new List<double>();
+
+      data.Add(mom);
+      data.Add(H);
+      data.Add(kb);
+      data.Add(T);
+      data.Add(alpha);
+      data.Add(epsilon);
+      data.Add(c);
+      data.Add(M);
+      data.Add(f);
+
+      for (var i = 0; i < mom.Count; i++) {
+        var res = mom[i] * H[i] / (kb[i] * T[i]) + mom[i] * alpha[i] / (epsilon[i] * Math.Pow(c[i],2) * kb[i] * T[i]) *M[i];
+        f.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman83.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman83.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman83.cs	(revision 17640)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman83 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.37.1 mom*(1+chi)*B"; } }
+
+    protected override string TargetVariable { get { return "E_n"; } }
+    protected override string[] VariableNames { get { return new[] {"mom", "B", "chi", "E_n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"mom", "B", "chi"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman83() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman83(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var mom  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var B    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var chi  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_n = new List<double>();
+
+      data.Add(mom);
+      data.Add(B);
+      data.Add(chi);
+      data.Add(E_n);
+
+      for (var i = 0; i < mom.Count; i++) {
+        var res = mom[i] * (1 + chi[i]) * B[i];
+        E_n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman84.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman84.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman84.cs	(revision 17640)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman84 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.38.3 Y*A*x/d"; } }
+
+    protected override string TargetVariable { get { return "F"; } }
+    protected override string[] VariableNames { get { return new[] {"Y", "A", "d", "x", "F"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"Y", "A", "d", "x"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman84() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman84(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var Y    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var A    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var d    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var x    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var F = new List<double>();
+
+      data.Add(Y);
+      data.Add(A);
+      data.Add(d);
+      data.Add(x);
+      data.Add(F);
+
+      for (var i = 0; i < Y.Count; i++) {
+        var res = Y[i] * A[i] * x[i] / d[i];
+        F.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman85.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman85.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman85.cs	(revision 17640)
@@ -0,0 +1,43 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman85 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman II.38.14 Y/(2*(1+sigma))"; } }
+
+    protected override string TargetVariable { get { return "mu_S"; } }
+    protected override string[] VariableNames { get { return new[] {"Y", "sigma", "mu_S"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"Y", "sigma"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman85() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman85(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var Y     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var sigma = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var mu_S = new List<double>();
+
+      data.Add(Y);
+      data.Add(sigma);
+      data.Add(mu_S);
+
+      for (var i = 0; i < Y.Count; i++) {
+        var res = Y[i] / (2 * (1 + sigma[i]));
+        mu_S.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanDescriptor.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanDescriptor.cs	(revision 17639)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanDescriptor.cs	(revision 17640)
@@ -14,7 +14,7 @@
 
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 100000; } }
-    protected override int TestPartitionStart { get { return 100000; } }
-    protected override int TestPartitionEnd { get { return 200000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
   }
 }
